Get the expected cost, shares, and fees for a potential trade without committing to it. Provide X-Public-Key to include profit estimates based on your existing position.
Authentication
Public — no authentication required. Provide X-Public-Key for personalized profit estimates.
Path parameters
string
required
UUID of the event.
string
required
UUID of the market.
Request body
string
required
BUY or SELL.
string
required
UUID of the outcome. Use the Get Event endpoint to find outcome IDs.
number
required
Amount to spend (buy) or receive (sell), in the specified currency.
Always get a quote before placing an order to confirm the expected cost and shares. The quoted price is indicative — the actual fill price may differ slightly in fast-moving markets.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Bayse Markets","colors":{"primary":"#2563EB","light":"#3B82F6","dark":"#1E40AF"},"logo":{"light":"https://mintcdn.com/bayse/RH021Iyi7jtsdMwF/logo/light.svg?fit=max\u0026auto=format\u0026n=RH021Iyi7jtsdMwF\u0026q=85\u0026s=136ea8ac1c40909981384158ac74e031","dark":"https://mintcdn.com/bayse/RH021Iyi7jtsdMwF/logo/dark.svg?fit=max\u0026auto=format\u0026n=RH021Iyi7jtsdMwF\u0026q=85\u0026s=02305d717f07149afa04ac3f0d28e808"},"favicon":"https://mintcdn.com/bayse/ii_JWhpaHEDrKszX/favicon.ico?fit=max\u0026auto=format\u0026n=ii_JWhpaHEDrKszX\u0026q=85\u0026s=e644cfd931a3e1872eec1d486c9a7e33","api":{"mdx":{"server":"https://relay.bayse.markets"}},"seo":{"metatags":{"canonical":"https://docs.bayse.markets"},"organization":{"id":"https://www.bayse.markets/#organization","name":"Bayse","url":"https://www.bayse.markets/","logo":"https://docs.bayse.markets/logo/light.svg"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Bayse Markets","icon":"arrow-up-right-from-square","href":"https://www.bayse.markets/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"bayse","hasAudioNarration":false,"actualSubdomain":"bayse","customDomains":["docs.bayse.markets"],"gitSource":{"type":"github","owner":"trencetech","repo":"bayse-relay-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6afec2c476d45603e0b82e15","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"API reference","count":45},{"language":"default","tag":"Changelog","count":26},{"language":"default","tag":"Documentation","count":21},{"language":"default","tag":"Trading","count":18},{"language":"default","tag":"WebSocket","count":16},{"language":"default","tag":"Core concepts","count":12},{"language":"default","tag":"Combos","count":6},{"language":"default","tag":"Market makers","count":6},{"language":"default","tag":"User","count":6},{"language":"default","tag":"Getting started","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"api-reference/pm/get-quote","slug":"/api-reference/pm/get-quote","pageMetadata":{"title":"Get quote","api":"POST /v1/pm/events/{eventId}/markets/{marketId}/quote","description":"Get a price quote before placing an order","href":"/api-reference/pm/get-quote"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Get a price quote before placing an order\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,ParamField,ResponseField,Tip}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Get the expected cost, shares, and fees for a potential trade without committing to it. Provide `,_jsx(_components.code,{children:`X-Public-Key`}),` to include profit estimates based on your existing position.`]}),`\n`,_jsx(Heading,{level:`2`,id:`authentication`,children:`Authentication`}),`\n`,_jsxs(_components.p,{children:[`Public — no authentication required. Provide `,_jsx(_components.code,{children:`X-Public-Key`}),` for personalized profit estimates.`]}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path parameters`}),`\n`,_jsx(ParamField,{path:`eventId`,type:`string`,required:true,id:`param-event-id`,children:_jsx(_components.p,{children:`UUID of the event.`})}),`\n`,_jsx(ParamField,{path:`marketId`,type:`string`,required:true,id:`param-market-id`,children:_jsx(_components.p,{children:`UUID of the market.`})}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request body`}),`\n`,_jsx(ParamField,{body:`side`,type:`string`,required:true,id:`param-side`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`BUY`}),` or `,_jsx(_components.code,{children:`SELL`}),`.`]})}),`\n`,_jsx(ParamField,{body:`outcomeId`,type:`string`,required:true,id:`param-outcome-id`,children:_jsxs(_components.p,{children:[`UUID of the outcome. Use the `,_jsx(_components.a,{href:`/api-reference/pm/get-event`,children:`Get Event`}),` endpoint to find outcome IDs.`]})}),`\n`,_jsx(ParamField,{body:`amount`,type:`number`,required:true,id:`param-amount`,children:_jsx(_components.p,{children:`Amount to spend (buy) or receive (sell), in the specified currency.`})}),`\n`,_jsx(ParamField,{body:`currency`,type:`string`,id:`param-currency`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`USD`}),` (default) or `,_jsx(_components.code,{children:`NGN`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example request`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`4`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://relay.bayse.markets/v1/pm/events/a1b2c3d4-e5f6-7890-abcd-ef1234567890/markets/b2c3d4e5-f6a7-8901-bcde-f12345678901/quote\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{\"side\":\"BUY\",\"outcomeId\":\"c3d4e5f6-a7b8-9012-cdef-345678901234\",\"amount\":100,\"currency\":\"USD\"}'`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Node.js`,numberOfLines:`14`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`14`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://relay.bayse.markets/v1/pm/events/a1b2c3d4-e5f6-7890-abcd-ef1234567890/markets/b2c3d4e5-f6a7-8901-bcde-f12345678901/quote'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'POST'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'application/json'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` side:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'BUY'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` outcomeId:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'c3d4e5f6-a7b8-9012-cdef-345678901234'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` amount:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 100`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` currency:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'USD'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }),`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` quote`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`12`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`12`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`resp `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.post(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://relay.bayse.markets/v1/pm/events/a1b2c3d4-e5f6-7890-abcd-ef1234567890/markets/b2c3d4e5-f6a7-8901-bcde-f12345678901/quote'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'side'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'BUY'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'outcomeId'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'c3d4e5f6-a7b8-9012-cdef-345678901234'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'amount'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'currency'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'USD'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`quote `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` resp.json()`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Go`,numberOfLines:`8`,language:`go`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`go`,children:_jsxs(_components.code,{language:`go`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`body`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` :=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` strings`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`NewReader`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:'`{\"side\":\"BUY\",\"outcomeId\":\"c3d4e5f6-a7b8-9012-cdef-345678901234\",\"amount\":100,\"currency\":\"USD\"}`'}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`req`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`_`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` :=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` http`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`NewRequest`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"POST\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://relay.bayse.markets/v1/pm/events/a1b2c3d4-e5f6-7890-abcd-ef1234567890/markets/b2c3d4e5-f6a7-8901-bcde-f12345678901/quote\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`req`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Header`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`Set`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"application/json\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`resp`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`_`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` :=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` http`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`DefaultClient`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`Do`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`req`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`price`,type:`number`,id:`param-price`,children:_jsx(_components.p,{children:`Average price per share for this trade (0.00–1.00).`})}),`\n`,_jsx(ResponseField,{name:`currentMarketPrice`,type:`number`,id:`param-current-market-price`,children:_jsx(_components.p,{children:`Current market price before this trade executes.`})}),`\n`,_jsx(ResponseField,{name:`quantity`,type:`number`,id:`param-quantity`,children:_jsx(_components.p,{children:`Number of shares you will receive.`})}),`\n`,_jsx(ResponseField,{name:`amount`,type:`number`,id:`param-amount-1`,children:_jsx(_components.p,{children:`Total amount spent (including fee).`})}),`\n`,_jsx(ResponseField,{name:`costOfShares`,type:`number`,id:`param-cost-of-shares`,children:_jsx(_components.p,{children:`Cost of shares before fee.`})}),`\n`,_jsx(ResponseField,{name:`fee`,type:`number`,id:`param-fee`,children:_jsx(_components.p,{children:`Trading fee charged.`})}),`\n`,_jsx(ResponseField,{name:`priceImpactAbsolute`,type:`number`,id:`param-price-impact-absolute`,children:_jsx(_components.p,{children:`How much this trade moves the market price.`})}),`\n`,_jsx(ResponseField,{name:`profitPercentage`,type:`number`,id:`param-profit-percentage`,children:_jsx(_components.p,{children:`Estimated profit percentage if the outcome wins.`})}),`\n`,_jsx(ResponseField,{name:`currencyBaseMultiplier`,type:`number`,id:`param-currency-base-multiplier`,children:_jsx(_components.p,{children:`Multiplier applied to convert prices to the requested currency (1 for USD, 100 for NGN).`})}),`\n`,_jsx(ResponseField,{name:`completeFill`,type:`boolean`,id:`param-complete-fill`,children:_jsx(_components.p,{children:`Whether the full amount can be filled at the quoted price (relevant for CLOB markets).`})}),`\n`,_jsx(ResponseField,{name:`tradeGoesOverMaxLiability`,type:`boolean`,id:`param-trade-goes-over-max-liability`,children:_jsx(_components.p,{children:`Whether this trade exceeds maximum liability limits.`})}),`\n`,`\n`,_jsx(Tip,{children:_jsx(_components.p,{children:`Always get a quote before placing an order to confirm the expected cost and shares. The quoted price is indicative — the actual fill price may differ slightly in fast-moving markets.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get quote","api":"POST /v1/pm/events/{eventId}/markets/{marketId}/quote","description":"Get a price quote before placing an order","href":"/api-reference/pm/get-quote"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[320,324,"Example,ResponseFiel"],[565,580,"Example)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingM"],[21234,21902,"_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`200 OK`,numberOfLines:`13`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.7235`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currentMarketPrice\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.72`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"quantity\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`138.21`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"costOfShares\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`98.04`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1.96`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"priceImpactAbsolute\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.0035`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"profitPercentage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`38.21`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currencyBaseMultiplier\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"completeFill\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tradeGoesOverMaxLiability\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Tip,{children:_jsx(_components.p,{children:`Always get a quote before placing an order to confirm the expected cost and shares. The quoted price is indicative — the actual fill price may differ slightly in fast-moving markets.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Authentication","slug":"authentication","depth":2,"children":[]},{"title":"Path parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Request body","slug":"request-body","depth":2,"children":[]},{"title":"Example request","slug":"example-request","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"200 OK","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"13\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"price\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0.7235\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"currentMarketPrice\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0.72\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"quantity\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">138.21\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"amount\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">100\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"costOfShares\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">98.04\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"fee\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1.96\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"priceImpactAbsolute\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0.0035\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"profitPercentage\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">38.21\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"currencyBaseMultiplier\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"completeFill\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"tradeGoesOverMaxLiability\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Get quote","path":"/v1/pm/events/{eventId}/markets/{marketId}/quote","servers":[{"url":"https://relay.bayse.markets"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{"eventId":{"schema":[{"type":"string","description":"UUID of the event.","required":true}]},"marketId":{"schema":[{"type":"string","description":"UUID of the market.","required":true}]}}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"side":[{"type":"string","description":"`BUY` or `SELL` .","required":true}],"outcomeId":[{"type":"string","description":"UUID of the outcome. Use the Get Event endpoint to find outcome IDs.","required":true}],"amount":[{"type":"number","description":"Amount to spend (buy) or receive (sell), in the specified currency.","required":true}],"currency":[{"type":"string","description":"`USD` (default) or `NGN` ."}]}}],"examples":{"example":{"value":{"side":"\u003cstring>","outcomeId":"\u003cstring>","amount":123,"currency":"\u003cstring>"}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"price":[{"type":"number","description":"Average price per share for this trade (0.00–1.00)."}],"currentMarketPrice":[{"type":"number","description":"Current market price before this trade executes."}],"quantity":[{"type":"number","description":"Number of shares you will receive."}],"amount":[{"type":"number","description":"Total amount spent (including fee)."}],"costOfShares":[{"type":"number","description":"Cost of shares before fee."}],"fee":[{"type":"number","description":"Trading fee charged."}],"priceImpactAbsolute":[{"type":"number","description":"How much this trade moves the market price."}],"profitPercentage":[{"type":"number","description":"Estimated profit percentage if the outcome wins."}],"currencyBaseMultiplier":[{"type":"number","description":"Multiplier applied to convert prices to the requested currency (1 for USD, 100 for NGN)."}],"completeFill":[{"type":"boolean","description":"Whether the full amount can be filled at the quoted price (relevant for CLOB markets)."}],"tradeGoesOverMaxLiability":[{"type":"boolean","description":"Whether this trade exceeds maximum liability limits."}]}}],"examples":{"example":{"value":{"price":123,"currentMarketPrice":123,"quantity":123,"amount":123,"costOfShares":123,"fee":123,"priceImpactAbsolute":123,"profitPercentage":123,"currencyBaseMultiplier":123,"completeFill":true,"tradeGoesOverMaxLiability":true}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"bayse","siteName":"Bayse Markets","title":"Get quote - Bayse Markets","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-03-13T14:12:01.411Z","originalFileLocation":"api-reference/pm/get-quote.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get a price quote before placing an order\">\u003cmeta data-mint-head name=\"application-name\" content=\"Bayse Markets\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get quote - Bayse Markets\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get a price quote before placing an order\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Bayse Markets\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.bayse.markets/api-reference/pm/get-quote\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://bayse.mintlify.site/_mintlify/api/og/v2?division=Trading\u0026amp;title=Get+quote\u0026amp;description=Get+a+price+quote+before+placing+an+order\u0026amp;theme=cd2ed0269253c24ee12e2084\u0026amp;signature=e8ed4623188ed9c9dc336f3df085163a9599fabd61baef72a0f46bd9205ab9ec\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get quote - Bayse Markets\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get a price quote before placing an order\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://bayse.mintlify.site/_mintlify/api/og/v2?division=Trading\u0026amp;title=Get+quote\u0026amp;description=Get+a+price+quote+before+placing+an+order\u0026amp;theme=cd2ed0269253c24ee12e2084\u0026amp;signature=e8ed4623188ed9c9dc336f3df085163a9599fabd61baef72a0f46bd9205ab9ec\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/bayse/wTJLie07MeT6EJOJ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Bayse Markets\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2563EB\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.bayse.markets/api-reference/pm/get-quote\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/pm/get-quote.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.bayse.markets/#organization\",\"name\":\"Bayse\",\"url\":\"https://www.bayse.markets/\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://docs.bayse.markets/logo/light.svg\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.bayse.markets#website\",\"name\":\"Bayse Markets\",\"url\":\"https://docs.bayse.markets\",\"publisher\":{\"@id\":\"https://www.bayse.markets/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.bayse.markets/api-reference/pm/get-quote#webpage\",\"url\":\"https://docs.bayse.markets/api-reference/pm/get-quote\",\"name\":\"Get quote\",\"description\":\"Get a price quote before placing an order\",\"dateModified\":\"2026-03-13T14:12:01.411Z\",\"isPartOf\":{\"@id\":\"https://docs.bayse.markets#website\"},\"breadcrumb\":{\"@id\":\"https://docs.bayse.markets/api-reference/pm/get-quote#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.bayse.markets/api-reference/pm/get-quote#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Trading\",\"item\":\"https://docs.bayse.markets/api-reference/pm/list-events\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get quote\",\"item\":\"https://docs.bayse.markets/api-reference/pm/get-quote\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.bayse.markets/api-reference/pm/get-quote#apireference\",\"headline\":\"Get quote\",\"name\":\"Get quote\",\"description\":\"Get a price quote before placing an order\",\"url\":\"https://docs.bayse.markets/api-reference/pm/get-quote\",\"mainEntityOfPage\":{\"@id\":\"https://docs.bayse.markets/api-reference/pm/get-quote#webpage\"},\"dateModified\":\"2026-03-13T14:12:01.411Z\",\"publisher\":{\"@id\":\"https://www.bayse.markets/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.bayse.markets#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Bayse Markets\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Bayse\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/pm/get-quote.md","siteName":"Bayse Markets","nav":{"global":{"anchors":[{"anchor":"Bayse Markets","icon":"arrow-up-right-from-square","href":"https://www.bayse.markets/"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"API reference","groups":[{"group":"Overview","pages":[{"title":"API reference","href":"/api-reference/introduction"}]},{"group":"System","pages":[{"title":"Health check","api":"GET /health","href":"/api-reference/system/health"},{"title":"Version","api":"GET /version","href":"/api-reference/system/version"}]},{"group":"User","pages":[{"title":"Lookup user","api":"GET /v1/user/lookup","href":"/api-reference/user/lookup"},{"title":"Login","api":"POST /v1/user/login","href":"/api-reference/user/login"},{"title":"Create API key","api":"POST /v1/user/me/api-keys","href":"/api-reference/user/create-api-key"},{"title":"List API keys","api":"GET /v1/user/me/api-keys","href":"/api-reference/user/list-api-keys"},{"title":"Revoke API key","api":"DELETE /v1/user/me/api-keys/{keyId}","href":"/api-reference/user/revoke-api-key"},{"title":"Rotate API key","api":"POST /v1/user/me/api-keys/{keyId}/rotate","href":"/api-reference/user/rotate-api-key"}]},{"group":"Trading","pages":[{"title":"List events","api":"GET /v1/pm/events","href":"/api-reference/pm/list-events"},{"title":"Get event","api":"GET /v1/pm/events/{eventId}","href":"/api-reference/pm/get-event"},{"title":"Get event by slug","api":"GET /v1/pm/events/slug/{slug}","href":"/api-reference/pm/get-event-by-slug"},{"title":"List event series","api":"GET /v1/pm/events/series","href":"/api-reference/pm/list-series"},{"title":"Get series events","api":"GET /v1/pm/events/series/{seriesSlug}/lean-events","description":"Get a lightweight list of events belonging to a series","href":"/api-reference/pm/get-series-events"},{"title":"Get quote","api":"POST /v1/pm/events/{eventId}/markets/{marketId}/quote","href":"/api-reference/pm/get-quote"},{"title":"Place order","api":"POST /v1/pm/events/{eventId}/markets/{marketId}/orders","description":"Place a buy or sell order on a prediction market","href":"/api-reference/pm/place-order"},{"title":"Batch place orders","api":"POST /v1/pm/orders/batch","href":"/api-reference/pm/batch-place-orders"},{"title":"Get portfolio","api":"GET /v1/pm/portfolio","href":"/api-reference/pm/get-portfolio"},{"title":"Get PnL","api":"GET /v1/pm/pnl","href":"/api-reference/pm/get-pnl"},{"title":"List orders","api":"GET /v1/pm/orders","href":"/api-reference/pm/list-orders"},{"title":"Get order","api":"GET /v1/pm/orders/{orderId}","href":"/api-reference/pm/get-order"},{"title":"Cancel order","api":"DELETE /v1/pm/orders/{orderId}","href":"/api-reference/pm/cancel-order"},{"title":"Batch cancel orders","api":"DELETE /v1/pm/orders/batch","href":"/api-reference/pm/batch-cancel-orders"},{"title":"Batch amend orders","api":"POST /v1/pm/orders/batch/amend","href":"/api-reference/pm/batch-amend-orders"},{"title":"Mint shares","api":"POST /v1/pm/markets/{marketId}/mint","href":"/api-reference/pm/mint-shares"},{"title":"Burn shares","api":"POST /v1/pm/markets/{marketId}/burn","href":"/api-reference/pm/burn-shares"},{"title":"Activities","api":"GET /v1/pm/activities","href":"/api-reference/pm/activities"}]},{"group":"Combos","pages":[{"title":"Get combo quote","api":"POST /v1/pm/combos/quote","href":"/api-reference/pm/get-combo-quote"},{"title":"Place combo","api":"POST /v1/pm/combos","href":"/api-reference/pm/place-combo"},{"title":"List combos","api":"GET /v1/pm/combos","href":"/api-reference/pm/list-combos"},{"title":"Get combo","api":"GET /v1/pm/combos/{comboIdOrCode}","href":"/api-reference/pm/get-combo"},{"title":"Get combo cashout quote","api":"POST /v1/pm/combos/{comboId}/cashout/quote","href":"/api-reference/pm/get-combo-cashout-quote"},{"title":"Cash out combo","api":"POST /v1/pm/combos/{comboId}/cashout","href":"/api-reference/pm/cashout-combo"}]},{"group":"Market makers","pages":[{"title":"Get liquidity rewards","api":"GET /v1/pm/liquidity-rewards","href":"/api-reference/pm/liquidity-rewards"},{"title":"Get active liquidity rewards","api":"GET /v1/pm/liquidity-rewards/active","href":"/api-reference/pm/liquidity-rewards-active"},{"title":"Get maker rebates","api":"GET /v1/pm/maker-rebates","href":"/api-reference/pm/maker-rebates"},{"title":"Get active maker rebates","api":"GET /v1/pm/maker-rebates/active","href":"/api-reference/pm/maker-rebates-active"}]},{"group":"Wallet","pages":[{"title":"Get assets","api":"GET /v1/wallet/assets","href":"/api-reference/wallet/get-assets"}]},{"group":"Market data","pages":[{"title":"Price history","api":"GET /v1/pm/events/{eventId}/price-history","href":"/api-reference/pm/price-history"},{"title":"Order book","api":"GET /v1/pm/books","href":"/api-reference/pm/order-book"},{"title":"Ticker","api":"GET /v1/pm/markets/{marketId}/ticker","href":"/api-reference/pm/ticker"},{"title":"Trades","api":"GET /v1/pm/trades","href":"/api-reference/pm/trades"}]},{"group":"Sports data","pages":[{"title":"List sports leagues","api":"GET /v1/pm/sports/leagues","href":"/api-reference/pm/list-sports-leagues"},{"title":"List sports teams","api":"GET /v1/pm/sports/teams","href":"/api-reference/pm/list-sports-teams"},{"title":"List sports games","api":"GET /v1/pm/sports/games","href":"/api-reference/pm/list-sports-games"}]}]},{"tab":"WebSocket","pages":[{"title":"WebSocket","href":"/websocket/introduction"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/2026-11-18"}]}]},"basePath":"","title":"Get quote - Bayse Markets","deploymentId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","buildId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CiUHMMOm.js","snippetPresets-BgfXU7Bw.js","utils-DWvOwgy_.js","style-to-object-BY3JEAdk.js","utils-BN7RXSMJ.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-CFw8bq89.js","conditional-requirements-CFM0id0Q.js","cloneDeep-CAwdfOU2.js","_Uint8Array-BJr8e-ZL.js","isObject-FP1Yky1u.js","ApiExamples-XX0UgMZK.js","usePlaygroundInputsStore-DXDFSa1V.js","shallow-CdX5aREi.js","isEqual-CoOaxexF.js","CodeSnippets-Cg2wpzWm.js","CodeSnippet-D_HwgQO_.js","getApiPlaygroundDisplay-CmCoerhe.js","Page-CVJ-f_k1.js","DynamicMarkdown-CQM9Bhbv.js","SectionHeading-DpbrP8nQ.js","icon-BPCgijHy.js","MethodPill-GQ8DuY0c.js","getPastedJson-Cb5mT31m.js","Check2Icon-a7bUI6e8.js","axios-CsQoIw0U.js"]}